#
# spec file for package vala-panel-plugin-sntray
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   xfce4-sntray-plugin
Name:           vala-panel-plugin-sntray
Version:        0.3.14
Release:        4.4
Summary:        StatusNotifierItem (appindicator) plugin for vala-panel
License:        LGPL-3.0+ and GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/rilian-la-te/xfce4-sntray-plugin
Source:         https://github.com/rilian-la-te/%{_name}/releases/download/%{version}/%{_name}-%{version}.tar.gz
BuildRequires:  cmake >= 2.8
BuildRequires:  gettext
BuildRequires:  pkg-config
BuildRequires:  vala >= 0.24
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.2
BuildRequires:  pkgconfig(vala-panel)
Recommends:     %{name}-lang
%if 0%{?suse_version} >= 1315 && 0%{?suse_version} != 1320
BuildRequires:  pkgconfig(libxfce4panel-2.0)
BuildRequires:  pkgconfig(libxfconf-0)
%endif

%description
StatusNotifierItem is the new D-Bus standard for system tray.

%if 0%{?suse_version} >= 1315 && 0%{?suse_version} != 1320
%package lang
Summary:        Languages for package vala-panel-plugin-sntray
Group:          System/Localization
Suggests:       %{name} = %{version}
Suggests:       xfce4-panel-plugin-sntray = %{version}
Supplements:    packageand(bundle-lang-other:%{name})
Supplements:    packageand(bundle-lang-other:xfce4-panel-plugin-sntray)
Provides:       %{name}-lang-all = %{version}
Provides:       xfce4-panel-plugin-sntray-lang = %{version}
Provides:       xfce4-panel-plugin-sntray-lang-all = %{version}
BuildArch:      noarch

%description lang
Provides translations to the packages vala-panel-plugin-sntray and
xfce4-panel-plugin-sntray.
%else
%lang_package
%endif

%if 0%{?suse_version} >= 1315 && 0%{?suse_version} != 1320
%package -n xfce4-panel-plugin-sntray
Summary:        StatusNotifierItem (appindicator) plugin for xfce4-panel
Group:          System/GUI/XFCE
Requires:       xfce4-panel
Recommends:     xfce4-panel-plugin-sntray-lang = %{version}

%description -n xfce4-panel-plugin-sntray
StatusNotifierItem is the new D-Bus standard for system tray.
%endif

%prep
%setup -q -n %{_name}-%{version}
%if 0%{?suse_version} != 1320
# Use upstream glib-2.0.vapi.
rm src/vapi/glib-2.0.vapi
%endif

%build
%cmake \
  -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install
%find_lang %{_name}

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc LICENSE README.md
%dir %{_libdir}/vala-panel/
%dir %{_libdir}/vala-panel/applets/
%{_libdir}/vala-panel/applets/libsntray-valapanel.so
%{_libdir}/vala-panel/applets/sntray.plugin
%{_datadir}/glib-2.0/schemas/org.valapanel.toplevel.sntray.gschema.xml

%files lang -f %{_name}.lang
%defattr(-,root,root)

%if 0%{?suse_version} >= 1315 && 0%{?suse_version} != 1320
%files -n xfce4-panel-plugin-sntray
%defattr(-,root,root)
%doc LICENSE README.md
%dir %{_libdir}/xfce4/
%dir %{_libdir}/xfce4/panel/
%dir %{_libdir}/xfce4/panel/plugins/
%{_libdir}/xfce4/panel/plugins/libsntray-xfce.so
%dir %{_datadir}/xfce4/
%dir %{_datadir}/xfce4/panel/
%dir %{_datadir}/xfce4/panel/plugins/
%{_datadir}/xfce4/panel/plugins/sntray.desktop
%endif

%changelog
* Sat May  7 2016 sor.alexei@meowr.ru
- Make vala-panel-plugin-sntray-lang recommend neither
  vala-panel-plugin-sntray, nor xfce4-panel-plugin-sntray, to
  avoid recommending one when other is being installed.
- Fix build by using upstream glib-2.0.vapi.
* Mon Aug 17 2015 sor.alexei@meowr.ru
- Build xfce4-panel-plugin-sntray for openSUSE Leap 42.x.
* Wed Jun 24 2015 cdenicolo@suse.com
- license update: LGPL-3.0+ and GPL-3.0+
  see license file.
* Fri Jun 19 2015 sor.alexei@meowr.ru
- Initial package.
